### Method

# Gio Menu freeze

since: 2.32

#### Declaration [src]

    void
    g_menu_freeze (
      GMenu* menu
    )

#### Description [src]

Marks `menu` as frozen.

After the menu is frozen, it is an error to attempt to make any changes to it. In effect this means that the `GMenu` API must no longer be used.

This function causes `g_menu_model_is_mutable()` to begin returning `FALSE`, which has some positive performance implications.

Available since: 2.32